### Method

# Foundry BuildPipeline contains_program

#### Declaration [src]

    DexFuture*
    foundry_build_pipeline_contains_program (
      FoundryBuildPipeline* self,
      const char* program
    )

#### Description

No description available.

#### Parameters

`program`

  Type: `const char*`

  The name of a program such as “meson”.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a string containing the path or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.